<?php
class DevtoolController
{

	public static function getInstance()
	{
		return new DevtoolController();
	}

	public function getPage()
	{
		$action = isset($_GET['a']) ? $_GET['a'] : null;
		switch ($action)
		{
			case "pages":
				return DevtoolPages::getInstance();
			case "pagerules":
				return DevtoolPageRules::getInstance();
			case "pageedit":
				return DevtoolPageEdit::getInstance();
			case "home":
			default:
				return DevtoolHome::getInstance();
		}
	}
}